var $ = window.jQuery;

function loadCheck() {
    var incomplete = $('img.yst-image-loading').length + $('span[class*=img]').filter(function() {
        return !$(this).hasClass('formula-loaded');
    }).length;

    if (incomplete === 0) {
        window.JSInterface.onShareImagePageLoadFinished();
    } else {
        setTimeout(loadCheck, 100);
    }
}

$('span[class*=img]').each(function() {
    var bg = this.style.backgroundImage,
        me = $(this);
    if (bg) {
        var img = $('<img>');
        img.attr('src', bg.replace(/url\(['"]?(.*?)['"]?\)/i, '$1'));
        img.on('load', function() {
            $(this).remove();
            me.addClass('formula-loaded');
        });
    } else {
        me.addClass('formula-loaded');
    }
});

try{
    loadCheck();
}catch(e){
    window.JSInterface.onShareImageLoadError(e.message);
}